Skip to main content
POST
/
api-keys
Create API key
curl --request POST \
  --url https://pullstory.com/api/v1/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "CI pipeline"
}
'
{
  "id": "key_01hq...",
  "name": "CI pipeline",
  "prefix": "ps_live_12ab",
  "last_used_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "secret": "ps_live_..."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
Example:

"CI pipeline"

Response

201 - application/json

Key created. secret is shown only once.

id
string
Example:

"key_01hq..."

name
string
Example:

"CI pipeline"

prefix
string
Example:

"ps_live_12ab"

last_used_at
string<date-time> | null
created_at
string<date-time>
secret
string
Example:

"ps_live_..."